package com.tofly.ghrq_route.module.domain;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by zombiexq on 2016/7/6.
 */
public class Plan {
    private String planid;
    private String planname;
    private String depid;
    private String userid;
    private String starttime;
    private String endtime;
    private String createdate;
    private String dispatchuserid;
    private String planstatus;
    private String remark;
    private String pathid;
    private String pathname;
    private String pathaddress;
    private String regionid;
    private String regionname;
    private String regionaddress;
    private String templateid;

    public String getPlanid() {
        return planid;
    }

    public void setPlanid(String planid) {
        this.planid = planid;
    }

    public String getPlanname() {
        return planname;
    }

    public void setPlanname(String planname) {
        this.planname = planname;
    }

    public String getDepid() {
        return depid;
    }

    public void setDepid(String depid) {
        this.depid = depid;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getCreatedate() {
        return createdate;
    }

    public void setCreatedate(String createdate) {
        this.createdate = createdate;
    }

    public String getDispatchuserid() {
        return dispatchuserid;
    }

    public void setDispatchuserid(String dispatchuserid) {
        this.dispatchuserid = dispatchuserid;
    }

    public String getPlanstatus() {
        return planstatus;
    }

    public void setPlanstatus(String planstatus) {
        this.planstatus = planstatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPathid() {
        return pathid;
    }

    public void setPathid(String pathid) {
        this.pathid = pathid;
    }

    public String getPathname() {
        return pathname;
    }

    public void setPathname(String pathname) {
        this.pathname = pathname;
    }

    public String getPathaddress() {
        return pathaddress;
    }

    public void setPathaddress(String pathaddress) {
        this.pathaddress = pathaddress;
    }

    public String getRegionid() {
        return regionid;
    }

    public void setRegionid(String regionid) {
        this.regionid = regionid;
    }

    public String getRegionname() {
        return regionname;
    }

    public void setRegionname(String regionname) {
        this.regionname = regionname;
    }

    public String getRegionaddress() {
        return regionaddress;
    }

    public void setRegionaddress(String regionaddress) {
        this.regionaddress = regionaddress;
    }

    public String getTemplateid() {
        return templateid;
    }

    public void setTemplateid(String templateid) {
        this.templateid = templateid;
    }

    public static List<Plan> getFakePlans(){
        List<Plan> plans = new ArrayList<>();
        for (int i = 0; i < 10; i++){
            Plan plan = new Plan();
            plan.setPlanid(i + "");
            plan.setCreatedate("2017-2-7 18:46");
            plan.setStarttime("2017-2-8 10:00");
            plan.setEndtime("2017-2-8 16:00");
            plan.setPlanname("今日巡检任务");
            plan.setPathname("庆阳路片区");
            plan.setRemark("计划巡检里程10公里，巡检范围内阀井10处。");
            plan.setPlanstatus(i == 0 ? "未完成":"已完成");
            plans.add(plan);
        }
        return plans;
    }
}
